| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Attributes | Friends | List of all members
Ogre::Volume::ChunkRequest Struct Reference
Optional Components » Volume

Data being passed around while loading. More...

`#include <OgreVolumeChunkHandler.h>`

## Public Attributes
DualGridGenerator * | dualGridGenerator
| The DualGridGenerator to use. More...
bool | isUpdate
| Whether this is an update of an existing tree. More...
size_t | level
| The current LOD level. More...
size_t | maxLevels
| The maximum amount of levels. More...
MeshBuilder * | meshBuilder
| The MeshBuilder to use. More...
Chunk * | origin
| The chunk which created this request. More...
OctreeNode * | root
| The octree node to use. More...
Vector3 | totalFrom
| The back lower left corner of the world. More...
Vector3 | totalTo
| The front upper rightcorner of the world. More...

## Friends
_OgreVolumeExport friend std::ostream & | operator<< (std::ostream &o, const ChunkRequest &r)
| Stream operator <<. More...

## Detailed Description

Data being passed around while loading.

## Friends And Related Function Documentation

## ◆ operator<<

_OgreVolumeExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const ChunkRequest & | r
| ) |  |
| friend

Stream operator <<.

Parameters

  o | The used stream.
  r | The streamed ChunkRequest.

## Member Data Documentation

## ◆ totalFrom

Vector3 Ogre::Volume::ChunkRequest::totalFrom

The back lower left corner of the world.

## ◆ totalTo

Vector3 Ogre::Volume::ChunkRequest::totalTo

The front upper rightcorner of the world.

## ◆ level

size_t Ogre::Volume::ChunkRequest::level

The current LOD level.

## ◆ maxLevels

size_t Ogre::Volume::ChunkRequest::maxLevels

The maximum amount of levels.

## ◆ meshBuilder

MeshBuilder* Ogre::Volume::ChunkRequest::meshBuilder

The MeshBuilder to use.

## ◆ dualGridGenerator

DualGridGenerator* Ogre::Volume::ChunkRequest::dualGridGenerator

The DualGridGenerator to use.

## ◆ root

OctreeNode* Ogre::Volume::ChunkRequest::root

The octree node to use.

## ◆ origin

Chunk* Ogre::Volume::ChunkRequest::origin

The chunk which created this request.

## ◆ isUpdate

bool Ogre::Volume::ChunkRequest::isUpdate

Whether this is an update of an existing tree.

The documentation for this struct was generated from the following file:

- OgreVolumeChunkHandler.h